View | Details | Raw Unified | Return to bug 255789
Collapse All | Expand All

(-)b/x11-toolkits/qt5-declarative/Makefile (-2 / +8 lines)
Lines 8-14 COMMENT= Qt declarative framework for dynamic user interfaces Link Here
8
8
9
USES=		compiler:c++11-lang gl python:build qmake:norecursive \
9
USES=		compiler:c++11-lang gl python:build qmake:norecursive \
10
		qt-dist:5
10
		qt-dist:5
11
USE_GL=		gl
11
USE_GL=		egl
12
USE_QT=		core gui network sql testlib \
12
USE_QT=		core gui network sql testlib \
13
		widgets buildtools_build
13
		widgets buildtools_build
14
14
Lines 18-24 BINARY_ALIAS= python=${PYTHON_CMD} Link Here
18
18
19
QT_BINARIES=	yes
19
QT_BINARIES=	yes
20
QT_DEFINES=	ACCESSIBILITY
20
QT_DEFINES=	ACCESSIBILITY
21
QT_CONFIG=	accessibility accessibility-atspi-bridge
21
QT_CONFIG=	accessibility
22
23
OPTIONS_DEFINE=	X11
24
OPTIONS_DEFAULT=X11
25
26
X11_VARS=	QT_CONFIG+=accessibility-atspi-bridge \
27
		USE_GL+=gl
22
28
23
post-patch:
29
post-patch:
24
# qtdeclarative.pro wants to run python, replace that with PYTHON_CMD
30
# qtdeclarative.pro wants to run python, replace that with PYTHON_CMD

Return to bug 255789